Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.transport.http
Class HttpsTransportListener

    java.lang.Object
      org.wso2.utils.transport.AbstractTransportListener
          org.wso2.wsas.transport.http.HttpsTransportListener

All Implemented Interfaces:
  org.apache.axis2.transport.TransportListener

    public class HttpsTransportListener

extends org.wso2.utils.transport.AbstractTransportListener

Field Summary

Fields inherited from class org.wso2.utils.transport.AbstractTransportListener
`configurationContext, port, proxyPort, tInDescription`

Fields inherited from interface org.apache.axis2.transport.TransportListener
`HOST_ADDRESS, PARAM_PORT`

Constructor Summary
`HttpsTransportListener()`

Method Summary
`org.apache.axis2.addressing.EndpointReference` | `getEPRForService(java.lang.String serviceName, java.lang.String ip)`
`org.apache.axis2.addressing.EndpointReference[]` | `getEPRsForService(java.lang.String serviceName, java.lang.String ip)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class org.wso2.utils.transport.AbstractTransportListener
`destroy, genEpr, getEPR, getEPR, getSessionContext, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpsTransportListener

    public HttpsTransportListener()

Method Detail

### getEPRForService

    public org.apache.axis2.addressing.EndpointReference getEPRForService(java.lang.String serviceName,
                                                                          java.lang.String ip)
                                                                   throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getEPRsForService

    public org.apache.axis2.addressing.EndpointReference[] getEPRsForService(java.lang.String serviceName,
                                                                             java.lang.String ip)
                                                                      throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### start

    public void start()
               throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### stop

    public void stop()
              throws org.apache.axis2.AxisFault

  Specified by:
    `stop` in interface `org.apache.axis2.transport.TransportListener`
  Overrides:
    `stop` in class `org.wso2.utils.transport.AbstractTransportListener`
  Throws:
    `org.apache.axis2.AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD